/*
  Copyright (C) 2024 UBports Foundation

  This program is free software: you can redistribute it and/or modify
  it under the terms of the GNU General Public License 3 as published by
  the Free Software Foundation, either version 3 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program. If not, see http://www.gnu.org/licenses/.
*/

import QtQuick 2.12
import Lomiri.Components 1.3

Item {
    id: exposeHeaderHoverHandler

    property Page page: null

    height: page.header.exposed ? page.header.height : units.gu(2)

    HoverHandler {
        id: hoverHandler

        onHoveredChanged: {
            if (hovered) {
                exposeHeaderHoverHandler.page.header.exposed = true
            }
        }
    }

    // Hide header timeout when in presentation mode
    Timer {
        running: !hoverHandler.hovered
                    && exposeHeaderHoverHandler.page.header.exposed
                    && exposeHeaderHoverHandler.page.hasOwnProperty("isPresentationMode")
                    && exposeHeaderHoverHandler.page.isPresentationMode
        interval: 2000
        onTriggered: exposeHeaderHoverHandler.page.header.exposed = false
    }
}
